## com.lowagie.text.pdf
Class AcroFields.Item

    java.lang.Object
      com.lowagie.text.pdf.AcroFields.Item

Enclosing class:
  AcroFields

public static class AcroFields.Item
extends Object

The field representations for retrieval and modification.

Field Summary
`ArrayList` `merged` An array of `PdfDictionary` with all the field and widget tags merged.
`ArrayList` `page` An array of `Integer` with the page numbers where the widgets are displayed.
`ArrayList` `tabOrder` An array of `Integer` with the tab order of the field in the page.
`ArrayList` `values` An array of `PdfDictionary` where the value tag /V is present.
`ArrayList` `widget_refs` An array of `PdfDictionary` with the widget references.
`ArrayList` `widgets` An array of `PdfDictionary` with the widgets.

Constructor Summary
`AcroFields.Item()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    public ArrayList values

  An array of `PdfDictionary` where the value tag /V is present.

### widgets

    public ArrayList widgets

  An array of `PdfDictionary` with the widgets.

### widget_refs

    public ArrayList widget_refs

  An array of `PdfDictionary` with the widget references.

### merged

    public ArrayList merged

  An array of `PdfDictionary` with all the field and widget tags merged.

### page

    public ArrayList page

  An array of `Integer` with the page numbers where the widgets are displayed.

### tabOrder

    public ArrayList tabOrder

  An array of `Integer` with the tab order of the field in the page.

Constructor Detail

### AcroFields.Item

    public AcroFields.Item()